﻿/////////////////////////////////////////////////////////
// Set color effect
varying mediump vec2 vTex;
uniform lowp sampler2D samplerFront;
uniform lowp vec3 setColor;
uniform lowp float blend;

void main(void)
{
	lowp float a = texture2D(samplerFront, vTex).a;
	lowp vec4 front = texture2D(samplerFront, vTex);
	
	gl_FragColor = mix(front, vec4(setColor.r * a, setColor.g * a, setColor.b * a, a), blend);
}
